# Class CIM_RecordInLog

RecordInLog describes the aggregation or location of Log entries within a MessageLog.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_RecordInLog

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Description | string | RecordInLog describes the aggregation or location of Log entries within a MessageLog.
UMLPackagePath | string | CIM::System::Logs
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
LogRecord | CIM_RecordInLog | CIM_LogRecord
MessageLog | CIM_RecordInLog | CIM_MessageLog

## Class Methods